<template>
    <div>
        <div id="pagination">
            <ul class="ul-pagination">
                <li v-if="page > 1" class="li-previous" @click="previousPage()">
                    <span>{{ previous }}</span>
                </li>
                <li class="page-And-Total-Page">
                    {{page + '..' + totalPage}}
                </li>
                <li v-if="this.page < 500" class="li-next" @click="nextPage()">
                    <span>{{ next }}</span>
                </li>
            </ul>
        </div>
    </div>
</template>

<script>
    import axios from 'axios';

    export default {
        props: ["page", "totalPage"],
        data(){
            return { 
                next: '>',
                previous: '<',
            }
        },
        methods: {
            nextPage() {
                if (this.page < 500) {
                    this.$emit('goNextPage', this.page + 1); 
                }
            },
            previousPage() {
                if (this.page > 1) {
                    this.$emit('goPreviousPage', this.page - 1);
                }
            }
        }
    }
</script>


<style scoped>

    #pagination{
        margin-left: 840px; 
        font-size: 40px;
        color: #778899;
    }

    .ul-pagination{
        list-style-type: none;
    } 

    .li-next {
        margin: -60px 0px -10px 150px;
        cursor: pointer;
    }

    .li-previous {
        margin: 0px 0px -60px -50px;;
        cursor: pointer;
    }


</style>